@echo off
setlocal enabledelayedexpansion

:: Компиляция FASM файла
C:\fasm\fasm.exe hook_lib.asm -s prog2.fas
if errorlevel 1 (
    echo Error compiling hook_lib.asm
    exit /b %errorlevel%
)

:: Компиляция C++ файла с отладочной информацией
cl.exe main.cpp /c /EHsc /Zi /Od /MDd /Fd"main.pdb"
if errorlevel 1 (
    echo Error compiling main.cpp
    exit /b %errorlevel%
)

:: Линковка с генерацией PDB и включением отладочной информации
link.exe /DEBUG /PDB:"main.pdb" /DEBUGTYPE:CV main.obj hook_lib.obj kernel32.lib
if errorlevel 1 (
    echo Error linking main.exe
    exit /b %errorlevel%
)

echo Build completed successfully.
